perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gerald Richter" <rich...@ecos.de>
Subject RE: mod_perl2 rc6 troubles patch
Date Sat, 07 May 2005 20:01:32 GMT
Hi,
> 
> While using latest mod_perl2 RC6 with latest Embperl from CVS 
> it won't work because that modules renaming issue 
> [http://perl.apache.org/docs/2.0/rename.html].
> 
> So I did some renaming stuff with 
> http://people.apache.org/~geoff/fixme.
> And produced a little patch.
> 
> Maybe someone finds that patch useful.
> 

Unfortunately that tool cannot be used for Embperl, because it "fixes" to
much. The problem is that Embperl should still work with modperl versions <
rc5 (and mod_perl 1.x), so it contains both, the old and the new namespace.

The current CVS version should work with old and new (>=rc5) mod_perl
versions, at least it does for me.

Could you please retest with the unaltered CVS version (from yesterday). 

Does it pass make test for you?

If not could put at 

 warn "modperl2 = $modperl2  modperlapi=$modperlapi" ;

In side the sub handler, and take a look at test/tmp/httpd.err.log and let
me know what the output is?

Gerald


---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message